#
# spec file for package elx-lpfc version 12.8.614.14
#
# Copyright (c) 2021 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#


Name:          elx-lpfc
BuildRequires: %kernel_module_package_buildreqs kernel-source sles-release 
License:       GPL-2.0
Group:         System/Kernel
Summary:       Emulex lpfc driver
Version:       12.8.614.14
Release:       1.1
Source0:       lpfcdriver-5-%{version}.tar.gz
Source10:      kernel-module-subpackage-sles15sp

BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%define kernelversion %(rpm -q --queryformat '%%{VERSION}-%%{RELEASE}' kernel-syms | sed 's/\\.[^.]*$//')
%define osreleasefile %(ls /etc/os-release)

%if "%{osreleasefile}" == "/etc/os-release"
%define sle_version %(grep -Po 'VERSION_ID="\\K[^"]*' /etc/os-release | sed 's/\\.//g')
%else
%define sle_version %(sed -n '/VERSION = /{s///p;q;}' /etc/SuSE-release)%(sed -n '/PATCHLEVEL = /{s///p;q;}' /etc/SuSE-release)
%endif

%kernel_module_package


%description
Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs

%package KMP
Summary: Emulex lpfc driver
Group: System/Kernel

%description KMP
Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs

%prep
%setup -T -b 0 -n lpfcdriver-5-%{version}
set -- *
mkdir source
mv "$@" source/
echo " " > source/Module.supported
mkdir obj

%build
%bcond_with retpoline
%if %{with retpoline}
export KCFLAGS='-mindirect-branch=thunk-inline -mindirect-branch-register'
find source -name *.c -print0 | xargs -0 sed -i '/MODULE_LICENSE(/a MODULE_INFO(retpoline, "Y");'
%endif
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor \
        CONFIG_SCSI_LPFC=m CONFIG_SCSI_LPFC_IOCTLS=m \
        KERNELVERSION="%{kernelversion}-$flavor"
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor KERNELVERSION="%{kernelversion}-$flavor"
done

%clean
rm -rf %{buildroot}

%changelog
* Mon Mar  7 2022 lance.ortiz@suse.com
-12.8.614.14 bsc# 1196777
* Thu Sep 23 2021 lance.ortiz@suse.com
- Version 14.0.326.8 bsc# 1190671
* Mon Aug 30 2021 lance.ortiz@suse.com
- Version 14.0.326.5 bsc 1189944
* Wed Aug 25 2021 lance.ortiz@suse.com
- Version 12.8.542.23 bsc#1189765
* Thu Jun  3 2021 lance.ortiz@suse.com
- Version 12.8.522.7 bsc# 1186824
* Wed Jan  6 2021 lance.ortiz@suse.com
- Version 12.8.371.0 bsc#1180595
* Thu Oct  8 2020 lance.ortiz@suse.com
- Version 12.8.340.2 bsc#1177486
* Mon Jul 20 2020 lance.ortiz@suse.com
- Version 12.6.281.22-1 bsc#1174218
* Mon Apr 13 2020 lance.ortiz@suse.com
- Version 12.6.240.17 bsc#1169117
* Tue Jan 21 2020 lance.ortiz@suse.com
-Version 12.6.182.4 bsc#1161128
* Fri Sep 20 2019 lance.ortiz@suse.com
-Version 12.4.272.0
* Fri Aug 16 2019 lance.ortiz@suse.com
-Version 12.4.243.9
* Wed Jul 24 2019 lance.ortiz@suse.com
-Version 12.2.350.11
* Mon Jul 15 2019 andavis@suse.com
- Version 12.2.350.8 (with updated lpfc-4-12.2.350.8 source code)
- bsc#1141358
* Mon Jun  3 2019 lance.ortiz@suse.com
- Version 12.2.350.8
* Mon Mar 25 2019 lance.ortiz@suse.com
- Version 12.2.299.13
* Wed Jan  2 2019 lance.ortiz@suse.com
- Version 12.2.212.12 Adding SLE12 SP4 to the build env
* Tue Nov  6 2018 lance.ortiz@suse.com
- Version 12.0.261.26
